FAQ  •  Search  •  Profile  •  Log in to check your private messages  •  Log in
 How to get XLink Kai 7.4.18 running on openSUSE 12.1 View next topic
View previous topic
Post new topicReply to topic
Author Message
karmic
Kai Regular
Kai Regular


Joined: 02 Jan 2006
Posts: 172

PostPosted: Sat Jun 16, 2012 12:59 pm Reply with quoteBack to top

This guide contains the following 2 architectures.
    - openSUSE 12.1 i586
    - openSUSE 12.1 x86_64



32-bit
In the case of i586 architecture, install wxcontainer+Unicode package from oss repository.
Add "openSUSE-12.1-Oss" repository to your system:
Code:
zypper addrepo -f http://download.opensuse.org/distribution/12.1/repo/oss/ repo-oss


Install wxcontainer+Unicode packages:
Code:
zypper install libwx_baseu-2_8-0-wxcontainer \
libwx_baseu_net-2_8-0-wxcontainer libwx_baseu_xml-2_8-0-wxcontainer
zypper install libwx_gtk2u_core-2_8-0-wxcontainer \
libwx_gtk2u_adv-2_8-0-wxcontainer libwx_gtk2u_aui-2_8-0-wxcontainer \
libwx_gtk2u_html-2_8-0-wxcontainer libwx_gtk2u_qa-2_8-0-wxcontainer \
libwx_gtk2u_richtext-2_8-0-wxcontainer libwx_gtk2u_xrc-2_8-0-wxcontainer


Make sure all the needed dependencies are listed:
Code:
export LD_LIBRARY_PATH=/usr/lib/wx-2.8-wxcontainer:$LD_LIBRARY_PATH
ldd kaiengine

Code:
        linux-gate.so.1 =>  (0xffffe000)
        libwx_gtk2u_richtext-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_richtext-2.8.so.0 (0xb7654000)
        libwx_gtk2u_aui-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_aui-2.8.so.0 (0xb75f0000)
        libwx_gtk2u_xrc-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_xrc-2.8.so.0 (0xb756d000)
        libwx_gtk2u_qa-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_qa-2.8.so.0 (0xb754f000)
        libwx_gtk2u_html-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_html-2.8.so.0 (0xb74b4000)
        libwx_gtk2u_adv-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_adv-2.8.so.0 (0xb73f6000)
        libwx_gtk2u_core-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_core-2.8.so.0 (0xb7092000)
        libwx_baseu_xml-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_baseu_xml-2.8.so.0 (0xb7088000)
        libwx_baseu_net-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_baseu_net-2.8.so.0 (0xb705b000)
        libwx_baseu-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_baseu-2.8.so.0 (0xb6f0d000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6e08000)
...


To run kaiengine on openSUSE i586, enter the following commands:
Code:
xhost +local:
sudo DISPLAY=:0.0 LD_LIBRARY_PATH=/usr/lib/wx-2.8-wxcontainer:$LD_LIBRARY_PATH ./kaiengine



64-bit
In the case of x86_64 architecture, Download 32-bit wxgtk RPMs and install it.
Because I can't find libwx*-32bit packages in repository:
Code:
zypper search libwx*-32bit

Code:
Loading repository data...
Reading installed packages...
No packages found.


Download 32-bit libwx RPMs:
Code:
cd ~/Downloads
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_baseu-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_baseu_net-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_baseu_xml-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_gtk2u_adv-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_gtk2u_aui-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_gtk2u_core-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_gtk2u_html-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_gtk2u_qa-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_gtk2u_richtext-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
wget http://download.opensuse.org/repositories/openSUSE:/12.1/standard/i586/libwx_gtk2u_xrc-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm


Install 32-bit libwx RPMs, it is necessary to add option "--force":
Code:
rpm -ivh --force libwx_baseu-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm \
libwx_baseu_net-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm \
libwx_baseu_xml-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm
rpm -ivh --force libwx_gtk2u_adv-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm \
libwx_gtk2u_aui-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm \
libwx_gtk2u_core-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm \
libwx_gtk2u_html-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm \
libwx_gtk2u_qa-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm \
libwx_gtk2u_richtext-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm \
libwx_gtk2u_xrc-2_8-0-wxcontainer-2.8.12-6.1.2.i586.rpm


Make sure all the needed dependencies are listed. In openSUSE x86_64, 32-bit libraries are located inside "/usr/lib":
Code:
export LD_LIBRARY_PATH=/usr/lib/wx-2.8-wxcontainer:$LD_LIBRARY_PATH
ldd kaiengine

Code:
        linux-gate.so.1 =>  (0xffffe000)
        libwx_gtk2u_richtext-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_richtext-2.8.so.0 (0xf75fc000)
        libwx_gtk2u_aui-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_aui-2.8.so.0 (0xf7598000)
        libwx_gtk2u_xrc-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_xrc-2.8.so.0 (0xf7515000)
        libwx_gtk2u_qa-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_qa-2.8.so.0 (0xf74f7000)
        libwx_gtk2u_html-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_html-2.8.so.0 (0xf745c000)
        libwx_gtk2u_adv-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_adv-2.8.so.0 (0xf739e000)
        libwx_gtk2u_core-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_gtk2u_core-2.8.so.0 (0xf703a000)
        libwx_baseu_xml-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_baseu_xml-2.8.so.0 (0xf7030000)
        libwx_baseu_net-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_baseu_net-2.8.so.0 (0xf7003000)
        libwx_baseu-2.8.so.0 => /usr/lib/wx-2.8-wxcontainer/libwx_baseu-2.8.so.0 (0xf6eb5000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xf6dab000)
...


To run kaiengine on openSUSE x86_64, enter the following commands:
Code:
xhost +local:
sudo DISPLAY=:0.0 LD_LIBRARY_PATH=/usr/lib/wx-2.8-wxcontainer:$LD_LIBRARY_PATH GTK_PATH=/usr/lib/gtk-2.0 ./kaiengine



Related URI


Reference Works


Thanks

_________________
XLinkKai on Linux ( http://www37.atwiki.jp/linux_kai/ )

Last edited by karmic on Sat Jun 16, 2012 4:31 pm; edited 1 time in total
View user's profileSend private message
giggyprince
Team XLink Moderator
Team XLink Moderator


Joined: 27 Feb 2011
Posts: 1206

PostPosted: Sat Jun 16, 2012 2:24 pm Reply with quoteBack to top

Great Job i added it in the wiki.

- http://www.teamxlink.co.uk/wiki/doku.php?id=evo7:linux
View user's profileSend private message
PHURION-GAMES
Kai Beginner
Kai Beginner


Joined: 07 Jun 2012
Posts: 3

PostPosted: Wed Aug 22, 2012 5:26 am Reply with quoteBack to top

giggyprince wrote:
Great Job i added it in the wiki.

- http://www.teamxlink.co.uk/wiki/doku.php?id=evo7:linux



HOLA SOY COLOMBIANO , Y NO ENTIENDO MUY BIEN ESTE TUTOTORIAL , tengo opensuse 32 bits he hice todo lo que dice aqui que toca colocar en la terminal pero al ingresar el tercer codigo me sale error de directorio o directorio desconocido , por favor colaborenme dandome una explicacion mas detallada y ojala en espaņol gracias
View user's profileSend private message
Display posts from previous:      
Post new topicReply to topic


 Jump to:   



View next topic
View previous topic
You can post new topics in this forum
You can reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2002 phpBB Group :: Theme by Daz :: All times are GMT